### Function

# Gimp context_set_paint_method

since: 2.4

#### Declaration [src]

    gboolean
    gimp_context_set_paint_method (
      const gchar* name
    )

#### Description [src]

Set the active paint method.

Sets the active paint method to the named paint method. The paint method will be used in all subsequent paint operations. The name should be a name of an available paint method. Returns an error if no matching paint method is found.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  The name of the paint method.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.